import { BehaviorSubject } from 'rxjs';
import { AbstractPropertyValueViewComponent } from '../abstract-property-value-view.component';
import * as i0 from "@angular/core";
export declare class FileValueViewComponent extends AbstractPropertyValueViewComponent {
    private _backendUrl$;
    source$: import("rxjs").Observable<string>;
    constructor(_backendUrl$: BehaviorSubject<string>);
    get key(): string | undefined;
    get name(): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileValueViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileValueViewComponent, "ax-file-value-view", never, {}, {}, never, never, false, never>;
}
